#
# spec file for package python-poyo
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
%bcond_without test
Name:           python-poyo
Version:        0.5.0
Release:        2.11
Summary:        YAML Parser for Python
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/hackebrot/poyo
Source:         https://files.pythonhosted.org/packages/source/p/poyo/poyo-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%if %{with test}
BuildRequires:  %{python_module pytest}
%endif
%python_subpackages

%description
A YAML Parser for Python.

Please note that Poyo supports only a chosen subset of the YAML format.

It can only read but not write and is not compatible with JSON.

Poyo does not allow deserialization of arbitrary Python objects. Supported
types are str, bool, int, float, NoneType as well as dict and list values.

%prep
%setup -q -n poyo-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%{python_expand export PYTHONPATH=%{buildroot}%{$python_sitelib}
py.test-%{$python_bin_suffix}
}
%endif

%files %{python_files}
%license LICENSE
%doc CHANGES.md COMMUNITY.md CONTRIBUTING.md README.md
%{python_sitelib}/*

%changelog
* Wed May 10 2023 Johannes Kastl <kastl@b1-systems.de>
- add sle15_python_module_pythons
* Tue Jul 30 2019 pgajdos@suse.com
- version update to 0.5.0
  [#]## Features
  * Add support for multiline strings, thanks to [@maebert][@maebert] (#22)
  [#]## Bugfixes
  * Fix link to poyo on PyPI, thanks to [@mrshu][@mrshu] (#20)
  * Trim trailing whitespace in variable, thanks to [@hackebrot][@hackebrot] (#25)
  [#]## Improvements
  * Update project to use src directory, thanks to [@hackebrot][@hackebrot] (#24)
  * Convert rst files to md, thanks to [@Um9i][@Um9i] (#28)
  * Reformat code base with black, thanks to [@Um9i][@Um9i] (#29)
* Tue Mar 26 2019 pgajdos@suse.com
- version update to 0.4.2
  * Resolve a bug with list items and comments
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Wed Feb 28 2018 sebix+novell.com@sebix.at
- rename changes file to python-poyo.changes
* Mon Sep 11 2017 toddrme2178@gmail.com
- Initial version
